> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel



## OpenAPI

````yaml /openapi/accomsoa-api.openapi.json post /activityapi/v1/cancel
openapi: 3.0.0
info:
  description: AccomSOA API for accommodation, activity, and EBS-related booking workflows.
  version: 1.0.0
  title: AccomSOA API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //accomsoatest.websitetravel.com
security: []
tags:
  - name: accommodation-controller
    description: Accommodation Controller
  - name: activity-controller
    description: Activity Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: ebs-controller
    description: EBS Controller
  - name: index-controller
    description: Index Controller
paths:
  /activityapi/v1/cancel:
    post:
      tags:
        - activity-controller
      summary: Cancel
      operationId: cancelUsingPOST_1
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestData_ActivityCancelRQ_'
        description: cancelRQ
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseData_ActivityCancelRS_'
        '201':
          description: Created
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    RequestData_ActivityCancelRQ_:
      type: object
      properties:
        agentID:
          type: string
        data:
          $ref: '#/components/schemas/ActivityCancelRQ'
        site:
          type: string
      title: RequestData«ActivityCancelRQ»
    ResponseData_ActivityCancelRS_:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ActivityCancelRS'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
        status:
          type: integer
          format: int32
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
      title: ResponseData«ActivityCancelRS»
    ActivityCancelRQ:
      type: object
      required:
        - bookingReference
        - channel
        - internalBookingReference
      properties:
        bookingReference:
          type: string
          description: The booking reference from the called system for this booking
        channel:
          type: string
          example: YALAGO
          description: >-
            The source channel of this item, from the Room=>Source field in
            search results
        internalBookingReference:
          type: string
          description: A reference from the calling system for this item
      title: ActivityCancelRQ
    ActivityCancelRS:
      type: object
      required:
        - cancellationCharge
        - confirmationCode
      properties:
        cancellationCharge:
          $ref: '#/components/schemas/CurrencyValue'
        confirmationCode:
          type: string
          description: The cancellation confirmation code
      title: ActivityCancelRS
    ResponseExtraInformation:
      type: object
      properties:
        code:
          type: string
        text:
          type: string
      title: ResponseExtraInformation
    CurrencyValue:
      type: object
      required:
        - amount
        - currencyId
      properties:
        amount:
          type: number
          example: 100
        currencyId:
          type: string
          example: AUD
      title: CurrencyValue

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.